# reusable for all ESP32-CAM programmed over ESP32-CAM-MB

# mosquitto_sub  -v -t cam0/status

# bang(pts/15):/my/proj/homeauto/espNode% catchsegv ./readcam.py --cam office_back_cam  --port 10021

esphome:
  name: $name
  platform: ESP32
  board: esp32cam
  build_path: $build_path
  includes:
    - component/cam.h

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password
  domain: ''
  manual_ip:
    static_ip: $addr
    gateway: 10.2.0.3
    subnet: 255.255.0.0

mqtt:
  broker: '10.2.0.1'
  port: 1883
  username: ''
  password: ''
  
logger:
  baud_rate: 115200
  level: DEBUG
  
ota:

light:
  - platform: monochromatic
    name: "flash"
    output: flash_out
    default_transition_length: 0s

output:
  - platform: ledc
    id: flash_out
    pin: GPIO4
    frequency: 19531Hz
    channel: 4


custom_component:
  - lambda: |-
      auto camc = new esphome::CamComponent();  
      // App.register_component(camc);
      return {camc};

